import { ColumnDef } from "@tanstack/react-table";
import { SupabaseClient } from "pasubot-js";
interface DataTableProps<TData, TValue> {
    columns: ColumnDef<TData, TValue>[];
    data: TData[];
    isLoading: boolean;
    onRefresh: () => void;
    supabase: SupabaseClient;
}
export declare function DataTable<TData, TValue>({ columns, data, isLoading, onRefresh, supabase }: DataTableProps<TData, TValue>): import("react/jsx-runtime").JSX.Element;
export {};
//# sourceMappingURL=data-table.d.ts.map