import { ColumnDef } from "@tanstack/react-table";
import { User } from "../data/schema";
import { Role } from "../../role/data/schema";
import { SupabaseClient } from "pasubot-js";
interface ColumnsProps {
    onEdit: (value: Role) => void;
    onRefresh: () => void;
    onCallDelete: (value: User) => void;
    supabaseAuthAdmin: SupabaseClient;
}
export declare const columns: ({ onRefresh, onCallDelete, supabaseAuthAdmin }: ColumnsProps) => ColumnDef<Role>[];
export {};
//# sourceMappingURL=columns.d.ts.map